For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contacts

Retrieve all contacts

get

Retrieve all contacts.

Authorizations
ambit_access-tokenstringRequired
Query parameters
emailstringOptional

The email of the contact to retrieve.

Example: test@example.com
Responses
200

The collection of contacts.

application/json
idstringRequired

The contact's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
custom_fieldsobjectRequired

The contact's custom fields.

Example: {"profession":"Career consultant","company":"Acme Inc."}
get/contacts
GET /api/v1/contacts HTTP/1.1
Accept: */*
[
  {
    "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "email": "contact@example.com",
    "name": "John Doe",
    "status": "ACTIVE",
    "custom_fields": {
      "profession": "Career consultant",
      "company": "Acme Inc."
    },
    "tags": [
      {
        "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
        "name": "Tag Name",
        "color": "BLUE",
        "created_at": "2025-01-01T00:00:00.000Z",
        "updated_at": "2025-01-01T00:00:00.000Z"
      }
    ]
  }
]

Create a contact

post

Create a contact.

Authorizations
ambit_access-tokenstringRequired
Body
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
customFieldsobjectRequired

Custom field data for the contact.

Example: {"profession":"Career consultant","company_name":"Acme Inc."}
tagsstring[]Required

The IDs of tags to assign to the contact.

Example: ["db07bb52-1d59-48a8-8a0d-03005c997543","5ab65d05-1f7d-43a2-878e-90c69d6ad840","319d26ed-4e92-447b-b8f0-e84aba066dd1"]
Responses
201

The contact that was created.

application/json
idstringRequired

The contact's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
custom_fieldsobjectRequired

The contact's custom fields.

Example: {"profession":"Career consultant","company":"Acme Inc."}
post/contacts
POST /api/v1/contacts HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "customFields": {
    "profession": "Career consultant",
    "company_name": "Acme Inc."
  },
  "tags": [
    "db07bb52-1d59-48a8-8a0d-03005c997543",
    "5ab65d05-1f7d-43a2-878e-90c69d6ad840",
    "319d26ed-4e92-447b-b8f0-e84aba066dd1"
  ]
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "custom_fields": {
    "profession": "Career consultant",
    "company": "Acme Inc."
  },
  "tags": [
    {
      "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
      "name": "Tag Name",
      "color": "BLUE",
      "created_at": "2025-01-01T00:00:00.000Z",
      "updated_at": "2025-01-01T00:00:00.000Z"
    }
  ]
}

Retrieve a single contact

get

Retrieve a single contact by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

The contact.

application/json
idstringRequired

The contact's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
custom_fieldsobjectRequired

The contact's custom fields.

Example: {"profession":"Career consultant","company":"Acme Inc."}
get/contacts/{contactId}
GET /api/v1/contacts/{contactId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "custom_fields": {
    "profession": "Career consultant",
    "company": "Acme Inc."
  },
  "tags": [
    {
      "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
      "name": "Tag Name",
      "color": "BLUE",
      "created_at": "2025-01-01T00:00:00.000Z",
      "updated_at": "2025-01-01T00:00:00.000Z"
    }
  ]
}

Update a contact

patch

Update a contact by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Body
emailstringOptional

The contact's email.

Example: contact@example.com
namestringOptional

The contact's name.

Example: John Doe
statusstring · enumOptional

The contact's status.

Possible values:
customFieldsobjectOptional

Custom field data for the contact.

Example: {"profession":"Career consultant","company_name":"Acme Inc."}
tagsstring[]Optional

The IDs of tags to assign to the contact.

Example: ["db07bb52-1d59-48a8-8a0d-03005c997543","5ab65d05-1f7d-43a2-878e-90c69d6ad840","319d26ed-4e92-447b-b8f0-e84aba066dd1"]
Responses
200

The updated contact.

application/json
idstringRequired

The contact's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
custom_fieldsobjectRequired

The contact's custom fields.

Example: {"profession":"Career consultant","company":"Acme Inc."}
patch/contacts/{contactId}
PATCH /api/v1/contacts/{contactId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "customFields": {
    "profession": "Career consultant",
    "company_name": "Acme Inc."
  },
  "tags": [
    "db07bb52-1d59-48a8-8a0d-03005c997543",
    "5ab65d05-1f7d-43a2-878e-90c69d6ad840",
    "319d26ed-4e92-447b-b8f0-e84aba066dd1"
  ]
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "custom_fields": {
    "profession": "Career consultant",
    "company": "Acme Inc."
  },
  "tags": [
    {
      "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
      "name": "Tag Name",
      "color": "BLUE",
      "created_at": "2025-01-01T00:00:00.000Z",
      "updated_at": "2025-01-01T00:00:00.000Z"
    }
  ]
}

Delete a contact

delete

Delete a contact by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

The deleted contact.

application/json
idstringRequired

The contact's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
emailstringRequired

The contact's email.

Example: contact@example.com
namestringRequired

The contact's name.

Example: John Doe
statusstring · enumRequired

The contact's status.

Possible values:
custom_fieldsobjectRequired

The contact's custom fields.

Example: {"profession":"Career consultant","company":"Acme Inc."}
delete/contacts/{contactId}
DELETE /api/v1/contacts/{contactId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "email": "contact@example.com",
  "name": "John Doe",
  "status": "ACTIVE",
  "custom_fields": {
    "profession": "Career consultant",
    "company": "Acme Inc."
  },
  "tags": [
    {
      "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
      "name": "Tag Name",
      "color": "BLUE",
      "created_at": "2025-01-01T00:00:00.000Z",
      "updated_at": "2025-01-01T00:00:00.000Z"
    }
  ]
}

Assign a tag to a contact

post

Assign a tag to a contact by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Query parameters
tagIdstringRequired

The ID of the tag.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

Tag assigned successfully.

No content

post/contacts/{contactId}/assign-tag
POST /api/v1/contacts/{contactId}/assign-tag?tagId=text HTTP/1.1
Accept: */*

No content

Unassign a tag from a contact

post

Unassign a tag from a contact by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Query parameters
tagIdstringRequired

The ID of the tag.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

Tag unassigned successfully.

No content

post/contacts/{contactId}/unassign-tag
POST /api/v1/contacts/{contactId}/unassign-tag?tagId=text HTTP/1.1
Accept: */*

No content

Retrieve a contact note

get

Retrieve a contact note by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

The contact note.

application/json
contact_idstringRequired

The ID of the contact to which the note belongs.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
contentobjectRequired

The content of the contact note.

updated_atstring · date-timeRequired

Timestamp for when the note was last updated.

Example: 2025-01-01T00:00:00.000Z
get/contacts/{contactId}/note
GET /api/v1/contacts/{contactId}/note HTTP/1.1
Accept: */*
{
  "contact_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "content": {},
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Update a contact note

patch

Update a contact note by their ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
contactIdstringRequired

The ID of the contact to retrieve.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Body
contentobjectRequired

The content of the note.

Responses
200

The updated contact note.

No content

patch/contacts/{contactId}/note
PATCH /api/v1/contacts/{contactId}/note HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "content": {}
}

No content

Last updated